--- CHANGES for JF patch 7 (jf7.diff.gz) --- (TS)

Incorporate the debian diff 1.0.9-12.
Change gif files in doc/html with the converted png files.
(hence, this diff is the binary diff.)

Note:
 The name of the command is changed into sgmltools-v1
 from sgmltools, in order to avoid the conflict with V2.
 DTD with <trans> and <tdate> is named linuxdoctr, not linuxdoc.

Taketoshi Sano <sano@debian.org>  Sun,  7 May 2000 22:59:49 +0900

--- CHANGES for sgml-tools-1.09j. (TO)

1. apply Japanese patch to sgml-tools-1.09
2. improve filter mode (fmt_txt).
3. remove <label> id in table of contents (fmt_txt).

Tetsu ONO <ono@jf.gee.kyoto-u.ac.jp> Tue Nov 17 19:51:58 JST 1998

--- CHANGES for sgml-tools-1.06j  (KO)

1. add <trans> and <tdate> tag to dtd. (ikko-)
   <trans> is translater's parson name.
   <tdate> is translation date, time and some infomations.
2. add @NKF@ to configure and Makefile.in etc. (ikko-)
3. add ja lang and nippon charset. (ikko-)
4. sgml2html and sgml2txt for japanese support with linuxdoc.dtd etc. (ikko-)
5. add printtrans and printtdate to groff/mapping. (ikko-)
   printtrans is translater's parson name in text format.
   printtdate is translation date and some information in text format.
6. <TOC> will works good with <tt> tags in <sect> tags ! (ikko-)

Kazuyuki Okamoto <ikko-@pacific.rim.or.jp> Mon Apr  23 21:28:14 JST 1998

====================== Version 1 starts ==================================

* Small cosmetic tweak to LaTeX header code. (ESR)

* Make sure flex is used for sgmlpre. (BL)

* Restore missing <file> support. (ESR)

--- CHANGES FOR sgml-tools-0.99.21 (Release Candidate 1, 23 November 1997):

* Added <file> tag to all DTDs and documented it (ESR)

* Added <idx> and <cdx> to linuxdoc97 and sgmltool DTDs (ESR)

* Arrange for <htmlurl> to call \url in the LaTeX back end (ESR)

* Added --pass option to pass options through to back ends (ESR)

* Fixed the logic to replace documentclass[] options. (ESR)

* Allow [ and ] to be used inside <tag></tag>. (ESR)

* LaTeX option list wasn't built correctly wrt. commas (CdG/ESR).

* "restrict" seems to be a keyword in latest GCC; changed conflicting
  function name in sgmlpre (CdG)

* Fixed lib/dist/fmt_latex2e.pl not to include an unused language option
  if the language is English (ESR).

* Added missing sgmltools.1 man page (having it missing was messing up the
  install production). (ESR).

* Minor tweaks to User's Guide -- warn about underscores in references (ESR).

--- CHANGES FOR sgml-tools-0.99.20 (12 November 1997):

* Commit rtf2rtf.c after change to rtf2rtf.l. (CdG)

* Manually modified the Log entry in linuxdoc96.dtd. It contained SGML
  comments, and nested comments won't go... (CdG)

* Add build commands for sgmlpre (which doesn't need it's own makefile
  for now). (CdG)

* Change references to "make" into "$(MAKE)", suggestion by Marc Baudoin
  <Marc.Baudoin@solsoft.com>. (CdG)

* sgmlpre/sgmlpre.l, doc/guide.sgml: Changed if -> #if and unless -> #unless
  to remind users that they are preprocessor tags rather than real ones. (ESR)

* lib/dist/sgmltool/latex2e/mapping: Changed the latex2e replacement for
  <ref> to give a better appearance. (ESR)

* lib/dist/fmt_latex2e.pl: Fixed a bug that prevented --pagenumber=0 from
  working correctly. (ESR)

* lib/dist/fmt_latex2e.pl: Arrange for LaTeX to be run in nonstop mode, so it
  won't prompt and hang on errors.  This makes scripts that call sgml2latex
  and throw away the output behave much better :-).  (ESR)

* lib/linuxdoc.sty: use \\url on the NAME argument of <url> too, this helps us
  handle mailto URLs more gracefully. (ESR)

* Turn the if/unless magic comments into real tags.  Trying to pull them
  into the DTD doesn't work, the magic-comment syntax is too ugly to live,
  and we can use sgmlcheck for document validation.  (ESR)

* First pass at conditionals.  This version is implemented with magic comments
  <!-- if --> and <!-- unless -->. (ESR)

* The generic options processing now includes the -D option to pass in an
  attribute/value pair for conditionals.  This meant the -D option in
  sgml2html had to be changed, it's now -h. (ESR)

* Fixed flex-time warning triggered by rtf2rtf.l.  Three rules needed to
  be reordered.  (ESR)

* Eliminated a LaTeX warning due to unused "english" option.  It will be
  trivial to restore this option when we use babel.sty.  Anyway I have fixed
  the relevant commented-out line in sgml2latex to be independent of whether
  the `english' option is there or not.  (ESR)

* Fixed the bug (reported by Greg Hankins) that the optional "name" is not
  included at the point of a <ref>; this required only a trivial tweak to
  the mapping file. (ESR).

* Fixed flex-time warning triggered by rtf2rtf.l.  Three rules needed to
  be reordered.  (ESR)

* Minor structure tweaks to the User's Guide. (ESR)

* Updated man pages.  Reorganized/rewrote User's Guide.  Added man
  pages for sgmltools(1), sgmlcheck(1). (ESR)

* Document &shy escape for soft hyphens. (ESR)

* Make <idx> and <cdx> work with minor changes to latex2e mapping.
  Added --index option to sgml2latex to control index generation. (ESR)

* The LaTeX back end will now automatically hyphenate URLs correctly,
  using the url.sty code from the TUG archive. (ESR)

* Added sgml2latex --pagenumber option to set starting page number of
  DVI or PS output. (ESR)

* Suppress LaTeX output on all but the final pass.  This avoids many
  spurious warnings about unresolved labels, etc. (ESR)

* Document &shy escape for soft hyphens. (ESR)

* Added a "use lib" to sgmltools.in that seems to be necessary on a stock
  Linux. (ESR)

* Fixed buggy invocation of ISO2English. (CdG)

--- CHANGES FOR sgml-tools-0.99.19 (10 November 1997):

* "/usr/bin/perl" instead of "@PERL@..." sneaked in... (CdG)

* Fix wrong process exit value. (CdG)

* Add French translations. (CdG)

* IPC::open2 didn't work very well with groff. (CdG)

* Add Spanish. (CdG)

* Drop the <BR> at the end of a table row for HTML output. Even Lynx knows
  how to deal with <TABLE> these days, so this is an obsolete non-feature.
  (CdG)

* Fix buglet in cleanup routine. (CdG)

* Removed html-specific translation files, they're obsolete. (CdG)

* Added rtf2rtf.c for boxen without flex. (CdG)

* Modify for new iso-entities pathname (CdG/KML)

* Entity-map version 0.1.0 (KML)

* New iso-entities version, with new install path (KML).

--- CHANGES FOR sgml-tools-0.99.18 (13 September 1997):

* Fix dot-at-start-of-line and dquote-at-start-of-sect bugs. (CdG)

* Added POD. (CdG)

* Fix problems with language handling. (CdG)

* Insert a colon in front of SGML_CATALOG_FILES if the environment variable
  already exists when adding to it. (KML)

* BackEnd.pm contains POD about interface between SGMLTools and
  backends. (CdG)

--- CHANGES FOR sgml-tools-0.99.17 (12 September 1997):

* Changes to build and install process to reflect all the new stuff. (CdG)

* Buglet: corrected references to CharEnts. (CdG)

* Map format latex to format latex2e. (CdG)

* Huge Perl changes. Everthing is "use strict", hidden below at least
  package SGMLTools, renamed modules to .pm, moved them to their own
  subdirectory, etcetera. (CdG)

* Replaced top-level shellscripts with single top-level Perl script. (CdG)

* preroff.sed and prertf.sed have been integrated into their fmt_*.pl
  scripts (CdG)

* Lot of Perl code changes (CdG):
  - Integration of the majority of external sed and awk scripts.
  - New calling convention for preASP and postASP routines.
  - Cleanups.

* Remove genertoc. (CdG)

* genertoc integrated into fmt_txt.pl (CdG).

* Remove chapt.awk, it's obsolete. (CdG)

* Remove prehtml.sed, its work has been integrated into fmt_html.pl (CdG)

* Moved functionality from latin1.sed into driver.pl.in. (CdG)

* Remove latex mappings, they're obsolete. (CdG)

* Oops! Remove the *general* files, and unremove the mapping files... (CdG)

* Remove the mapping files, they're obsolete. (CdG)

--- CHANGES FOR sgml-tools-0.99.16 (7 September 1997):

* Simplify implementation of --filter when charset is not ascii. (CdG)

* Fix HTML language file lookup. (CdG)

* Resolve conflicting options between global and html. (CdG)

--- CHANGES FOR sgml-tools-0.99.15 (23 August 1997):

* Big commit containing a lot of changes towards multi-DTD and local hacks
  support.

* Addition of directory ``unsupported'' and started filling it with
  obsolete replacement files.

* Added @PERL@ and @PERLWARN@ to list of replacement vars in Makefile. (CdG)

* Rejoice! All the generated files are now created by make instead of
  by configure. This should make hacking them a lot easier. (CdG)

* Removed a number of unnecessary targets and duplicates from autoconf
  input file. (CdG)

--- CHANGES FOR sgml-tools-0.99.14 (9 July 1997):

* Removed a couple of generated files from iso-entities and entity-map
  that accidentally landed in CVS. (CdG)

* Point to iso-entities as residing under ${prefix}/lib instead of
  just under ${prefix}. (Cdg)

* Completely new DTD setup by Bernd (BK).

* Added contrib/bk, with a lot of work-in-progress from Bernd. (CdG)

--- CHANGES FOR sgml-tools-0.99.13 (23 June 1997):

* Patches to integrate latest iso-entitities. (CdG)

* Fixed HTML mapping for "&nbsp;" (DG).

* Reverse position of Next and Previous links in HTML so that users of Lynx
  etc. have an easier job. (DL)

* Avoid problems with `[' and `]' for LaTeX. (DL)

* Use ``"$@"'', not ``$*'', when kicking off driver.pl. (DL)

* Pass '-i' through to nsgmls for conditionalization. (DL)

* Driver should now bail out when not using isolatin, too. (CdG)

* ``Final'' version of iso-entities (KML)

* Add directories to the library path the proper way (KdB).

--- CHANGES FOR sgml-tools-0.99.12 (21 May 1997):

* Ken's patches plus some modifications of my own to cater for slight
  differences in integration of Ken's patches, now committed for real. (CdG)

  [C'mon, the kid is keeping me awake. I'm *entitled* to mistakes]

--- CHANGES FOR sgml-tools-0.99.11 (21 May 1997):

* Patches for entity-map 0.1b4, with HTML, LaTeX2e and TXT support (KML).

* Update to version 0.1b4 of entity-map (KML).

--- CHANGES FOR sgml-tools-0.99.10 (7 May 1997):

* Ken MacLeod's entity-map 0.1b2

* Ken MacLeod's iso-entities 0.1b1

* DTD CHANGE: eps element attribute list changed width to height (DG)

  [I recall more people noting this - CdG]

* <HR> as mapping for <hline> in tables is a bad idea - removed it. (DG)

* Fixed text-mode TOC (AS2).

--- CHANGES FOR sgml-tools-0.99.9 (17 April 1997):

[interim release caused by total brokeness due to my typos - CdG]

* Hierarchical version of text-mode TOC (AS2).

* Fixed three typos (KdB).
  [mea culpa, mea maxima culpa - CdG]

--- CHANGES FOR sgml-tools-0.99.8 (14 April 1997):

* Changed entries for &dollar, &gt, &lt. (JE)
  [... Again. Is this finally correct? - CdG]

* Fixed small bug in HTML mapping entry for <img>. (JE)

* Small fixes to LaTeX driver (JE)

* The info backend didn't have mapping entries for url and htmlurl. (SR)

* Remove driver.pl.in from final libdir (SR).

* Removed junk from libdir. (SR)

* Renamed target directory for documentation files (SR)

* Add better error checking. (SR/Bug#7829)

* Added code to driver for option consistency checking [needs improvement and
  possibly an option itself - CdG] (UW)

* Allow comments in html2html language files. (UW)

* Extraneous space kept driver.pl from compiling and thus issueing a
  warning on older Perls. (CdG)

* A single space at the end of a line frustrated sed. (CdG)

* ln -sf becomes (rm; ln -s), which should run everywhere (CdG).

--- CHANGES FOR sgml-tools-0.99.7 (21 March 1997):

* Added configure option --with-perl-w. Now everybody can choose whether to
  run Perl in obnoxious mode or not. (CdG)

* Add support for <IMG> tag. (LM).

* DTD CHANGE: Entity <figure> has now <img> element. (LM)

  This is part of a series of patches to enable EPS/GIF figures for (currently)
  HTML and LaTeX backends.

* Backslash correction for LyX (FP2).

* `ln -s' must be `ln -sf' for second-time installations. (FP2)

* Changed LaTeX mapping for &dollar; from "\$" into "$" (KT).

* Assorted changes, cleanups and bugfixes mainly on option processing (UW).

* First pieces of code for generic multiple-language support in Perl. (CdG)

* DTD CHANGE: ``['' and ``]'' aren't shortrefs for <f> and </f> anymore. (CdG)

  It was decided, after discussion on the list, that the more people need the
  square brackets for programming documentation (array notation, etcetera)
  than as a shortcut for formula's (which is a single-character tag anyway).
  Also, although documented in the QWERTZ documentation, this behaviour was
  only implemented in the LaTeX backend.

* Modify SGML_SEARCH_PATH to included the SGML source's directory. (UW/CdG)

* Output file(s) now land in current directory instead of the source's
  directory. (CdG).

* Don't need backslashes on &lsqb; and &rsqb; (KT).

* Only GNU find has implicit ``-print'', others don't (MP).

* Require Perl 5.003 (Cdg).

--- CHANGES FOR sgml-tools-0.99.6 (13 March 1997):

* Changed --split default to 1 (CdG).

* Make bottom margin slightly larger again. (KdB)

* Fix echo statements and optimize chmod'ing of installed tree. (UW)

* Minor cleanups (SR)

* Added BibTeX support. (KdB)

* Text filtering command line was split on the wrong point. (CdG)

* Add a link rep/groff/mapping -> rep/latin1/mapping on install. (CdG)

--- CHANGES FOR sgml-tools-0.99.5 (25 February 1997):

* Moved HTML fixups to Perl. (TM)

* Minor cleanups to driver script. (CdG)

* Added format conditionals to DTD. (TM).

* Perl's rename doesn't work across filesystems, use cp instead. (SR)

--- CHANGES FOR sgml-tools-0.99.4 (10 February 1997):

* HTML-Splitting now can be done on level 0, 1, or 2 (--split=n now
  works like it should). (CdG)

* Fixed bug in long-option handling. (CdG)

* Fixed some stupid typo's. (CdG)

--- CHANGES FOR sgml-tools-0.99.3 (6 February 1997):

* Made location of external programs in Perl scripts autoconf'able. (CdG)

* You can now switch off building sgmlsasp and nsgmls with configure. (CdG)

* Renamed sgmls.1 to nsgmls.1. (CdG)

* Use package `ms' instead of `mgs'. (CdG)

* Miscellaneous fixes to the Perl scripts. (CdG)

* Updated README with new Website, new version info, etc. (CdG)

* Autoconfiguration for SP. (HT)

* Contrib/ Perl script that extracts useful information from SGML files. (FP)

* Typo: backspace spec in regexp for groff stripping was wrong. (CdG)

* Added ``mu'' to latin1.sed. (UW)

* Single Page HTML patches. (DP)

* Rewrote most often used chars in ISO8859-1 charset for LaTeX mapping. (MB)

* Driver script prints version number in Usage(). (CdG)

* Switched to autoconf. (SR)

* Emacs mode for SGML-Tools, works with Emacs 19.34. (AS)

* Titles with font changes were munched. This piece of code should correct
  that. (FJM)

--- CHANGES FOR sgml-tools-0.99.2 (4 February 1996):

* Split up BUGS into BUGS and TODO. Of course, there is a blurred distinction
  between them, but this more-or-less gives a priority indication. (CdG)

* Fixed LaTeX \documentclass option handling. (CdG)

* Removed LaTeX 2.09 support and cleaned up linuxdoc-sgml.sty a little
  bit. (CdG)

* HTML language files are now ISO-naming compliant like we discussed on
  the mailing list (more to follow...) (CdG).

* Removed LaTeX 2.09 support and cleaned up linuxdoc-sgml.sty a little
  bit. (CdG)

* Introduced Perl driver script. (CdG)

* Removed info.awk from sgml2info. (CdG).

* Added <TABLE> support according to a suggestion by Harald Milz
  <hm@seneca.muc.de>. Small difference: </TR> should always come with
  a <BR> in order to keep Lynx cs. happy. (CdG)

* Added CONTRIBUTORS file.

* First steps toward HTML 3.2. (UW)

--- CHANGES FOR sgml-tools-0.99.1 (9 December 1996):

* Added RCS Id tag. (cdg)

* First attempt at SP's nsgmls instead of sgmls. Cees de Groot
  <C.deGroot@Inter.nl.net>

* Make "-g" work with "-2e". Ulrich Windl <ulrich.windl@rz.uni-regensburg.de>

* Enabled ``-2e'' option even if the command ``latex2e'' is not
  available. Ulrich Windl <ulrich.windl@rz.uni-regensburg.de>

* Temporary files ``/tmp/sgml2ps$$'' weren't removed. Ulrich Windl
  <ulrich.windl@rz.uni-regensburg.de>.

* Imported into CVS. Cees de Groot <C.deGroot@inter.nl.net>

--- CHANGES FOR sgml-tools-0.99.0 (29 November 1996):

* renamed package to SGML-Tools.  It's not just for Linux anymore.
  Updated files and Guide to reflect this.  Greg Hankins
  <greg.hankins@cc.gatech.edu>.

* fixed linuxdoc.dtd to allow an hline over tables.  Robert Nemkin
  <buci@math.klte.hu>.

* changed prertf.sed from "s/\\n/ \\n/g" to "s/\([^\\]\)\\n/\1 \\n/g", to
  fix a problem where \\n is translated unintentionally.  Stephen Williams
  <steve@icarus.com>.

* changed <INF> and </INF> to <SUB> and </SUB> in HTML mapping file.  <INF>
  isn't HTML appearently.  Harald Milz <hm@ibm.de>.

* added fix to preroff.sed file, to fix "can't find font 'C'" problem with
  groff.  Eric S. Raymond <esr@snark.thyrsus.com>.

* changed circ entity from "\verb+^+" to "\^{}", and lowbar from "\_" to
  "\_{}" in latex replacement file.  Graham Swallow <gps@trix.dircon.co.uk>.

* removed blank in front of \@author on line 72 of linuxdoc-sgml.sty (and A4
  version).  Ulrich Windl <ulrich.windl@rz.uni-regensburg.de>.

* fixed gt and lt entities in latex replacement file.  They are now changed
  from "{\(>\)}" to "{$>$}" (same for lt).  Dieter Faulbaum
  <faulbaum@bii.bessy.de>.

* fixed ero entity in html replacement file.  Should be "&" and not "&amp;",
  since it's used in <PRE></PRE> sections.  Greg Hankins
  <greg.hankins@cc.gatech.edu>.

* added Aring to html replacement file.  Kaare Hviid <ukh@marijne.df.lth.se>.

* added grave entity to all replacement files.  groff seems to have a
  problem with certain unescaped ' characters.  Greg Hankins
  <greg.hankins@cc.gatech.edu>.

* changed mapping for bsol to "\\" in groff and latin1 replacement files.
  Greg Hankins <greg.hankins@cc.gatech.edu>.

* added \\raggedright to LaTeX mappings to leave the right side unjustified.
  Jim Van Zandt <jrv@vanzandt.mv.com>.

* pointed out problem with ^ character in HTML output, fixed &circ entity.
  Andre Schoorl <aschoorl@sirius.UVic.CA>.

--- CHANGES FOR linuxdoc-sgml-1.5 (8 March 1996):

* updated install script, README files, guide, etc for new versions.
  Greg Hankins, <greg.hankins@cc.gatech.edu>.

* patch to sgmls-1.1/configure, took out reference to ctype(3) man page,
  which some Linux distributions don't have. Andrew Morgan
  <morgan@physics.ucla.edu>.

* added isolatin.sty to LaTeX mapping file. This should make
  ISO 8859-1 characters look better in PostScript output.
  Greg Hankins, <greg.hankins@cc.gatech.edu>.

* added support for alternate labels in HTML output for "Previous",
  "Next" and "Table of Contents" links. Language specific lables are
  in $LINUXDOCLIB/rep/html/<language>. Juergen Seeger, <js@ix.de>.

* fixed problems in sgml2txt, "" needed to be a real "", and not
  a "^H". Added some more seding. Frank Pavageau, <frank@via.ecp.fr>.

* removed \ from lsqb and rsqb in lib/rep/latex/general.  This seems to
  cause problems when formatting with LaTeX. Greg Hankins,
  <greg.hankins@cc.gatech.edu>.

* added -img option to sgml2html and html2html for optional images
  in the prev/next/toc links. Fixed numerous HTML formatting problems.
  According to 'htmlcheck', HTML output is nearly compliant.
  Tom Lane, <tgl@sss.pgh.pa.us>.

* fixed a small problem with italicized tags and groff. Todd Reed,
  <treed@cs.waikato.ac.nz>.  When I was patching this in, I removed
  lib/rep/latin1/mapping and made it a symlink to lib/rep/groff/mapping
  since they need to be the same anyways. Greg Hankins,
  <greg.hankins@cc.gatech.edu>.

* fixed a problem with cross references in html2html.l (rare case).
  Steve Tynor, <tynor@atlanta.twr.com>.

* patch to genertoc script to make it 8-bit clean. Frank Pavageau,
  <frank@via.ecp.fr>.

* added CleanUp{} and traps to sgml2foo scripts. Frank Pavageau,
  <frank@via.ecp.fr>.

* fixes to install script. Marc Baudoin <Marc.Baudoin@hsc.fr.net>
  (syntax error) and Frank Pavageau, <frank@via.ecp.fr> (optimization
  options). General unhappiness with install script noted.

* added -f switch to sgml2txt (Hi Frank), to choose whether or not
  to strip reverse paper motions (such as underlines). Reverse paper
  motions are not nice for text editors and other non-backspacing
  devices. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* changed all references to nroff to groff, just to be nitpicky.
  groff is required! Greg Hankins, <greg.hankins@cc.gatech.edu>.

* wrote man pages for sgml2foo scripts, and made install script
  install them. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* added -g switch to sgml2latex to make it use german.sty.
  Harald Milz, <hm@seneca.han.de>.

* made all chars in html2html.l unsigned, for ISO-8859-1.
  Tristan Debeaupuis, <Tristan.Debeaupuis@hsc.fr.net>.

* perl script to generate groff table of contents. Thomas Koenig,
  <Thomas.Koenig@ciw.uni-karlsruhe.de>. [Hacked a wee bit - Greg]

* fixed html2html so that it doesn't leave a newline after URLs.
  Tom Lane, <tgl@sss.pgh.pa.us>.

* the sgml2* scripts now support a "-style" option which allows extra
  mapping files to be included in the translation (for adding
  site-specific "styles"). Steve Tynor, <tynor@atlanta.twr.com>.

* sgml2html takes additional new args: -fat (causes the filnames to
  be "DOS FAT" compatible (.htm vs. .html). -2 (causes html2html to
  split pages at both 1. and 1.1 levels instead of just 1. (I can't
  really say "chapters" and "sections" since it depends on whether you
  use <article> or <report> -- if <article>, the <sect> and <sect1>
  cause page breaks; of <report> then <chapt> and <sect> cause page
  breaks.  Default page breaking behavior is unchanged. Steve Tynor,
  <tynor@atlanta.twr.com>.

* extensive changes to html-fix/html2html.l:
  - html2html puts Previous/Next links at both top and bottom of page
    (makes it easier to `browse').
  - <appendix> causes HTML section number to start at "A"
  - (see header of html2html.l for additional minor improvements).
  - support for gifs for Previous/Next/Contents links (gifs are in
    lib/icons)
  Steve Tynor, <tynor@atlanta.twr.com>.

* scrapped Tristan's RTF support, according to his wishes, and added a
  new RTF support approach (rtf-fix/rtf2rtf and new replacement files).
  Steve Tynor, <tynor@atlanta.twr.com>.

* support for LaTeX2e, uses -2e on sgml2latex script. Marc Baudoin
  <Marc.Baudoin@hsc.fr.net>.

* many fixes to replacement files. Steve Tynor, <tynor@atlanta.twr.com>.

* added LyX output support. Frank Pavageau, <frank@via.ecp.fr>.

* combined lib/rep/[html,info,latex,latin1,groff,rtf]/[general,math] into
  one file called general. According to Magnus Alvestad, these were
  separated for historical reasons. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* changed output of LaTeX \\url to <foo> and not (foo) in
  linuxdoc-sgml*.sty files. Pointed out by Gary Capell <gary@cs.su.oz.au>.

* added A4 paper size support to LaTeX output. Use -a on sgml2latex script.
  Frank Pavageau, <frank@via.ecp.fr>.

* added two lines to the lib/prehtml.sed script, so that the HTML code
  generated conforms to the standard (arena browser). <descrip> tags
  created bad HTML code, by inserting <P></P> between <DL> and the first
  <DT>. Frank Pavageau, <frank@via.ecp.fr>. [don't know why this happens,
  checked relevant replacement and html-fix files - Greg]

* fixed sgml2txt - a space at the end of a split line (that is, after the \)
  caused an error when using the -l option. Frank Pavageau, <frank@via.ecp.fr>.

* changed all references to "texinfo" to "GNU info".  Pointed out by
  Thomas G. McWilliams <tgm@netcom.com>.

--- CHANGES FOR linuxdoc-sgml-1.4.1 (14 November 1995):

* added the possibility to size and rotate pictures for LaTeX ouput using
  epsfig. The PostScript file can be .ps or .eps - the user has to enter
  the full file name. Marc Baudoin, <Marc.Baudoin@hsc.fr.net>.

* changed the LaTeX definition of entities, because most of the distribs
  now support ISO-8859-1, and in the verbatim environment, \'e is ugly.
  Tristan Debeaupuis, <Tristan.Debeaupuis@hsc.fr.net>.

* added RTF output support ("better than nothing" for the moment ...)
  and cleaned the install script (I removed -print options which where
  unused), and add the sgml2rtf to be installed. Tristan Debeaupuis,
  <Tristan.Debeaupuis@hsc.fr.net>.

* added $prefix variable to install script for more flexibility.
  Andries Brouwer <Andries.Brouwer@cwi.nl>.

* updated contrib/trimwhite.pl to use <> and not <STDIN> so you can
  use pipes, and it now doesn't use a while loop anymore. Neil Bowers,
  <neilb@khoral.com>.

* fixed spacing on usage() functions in sgml2* scripts, reported by
  many people. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* fixed a couple things in various replacement files. Frank Pavageau,
  <frank@via.ecp.fr>.

* fixed sgml2* scripts to use latin1.sed _before_, not after running
  sgmls. This makes it work. Frank Pavageau, <frank@via.ecp.fr>.

* removed references to -c option in sgml2* scripts, since we have
  sgmlcheck now. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* wrote sgmlcheck script. Cal Page, <cpage@mv.mv.com>. Trimmed useless
  junk, and fixed contrib/sgml-mode.el to call sgmlcheck. Greg Hankins,
  <greg.hankins@cc.gatech.edu>.

* hacked sgml2ps into sgml2latex. We'll use -p for PS, and -d for DVI, and
  default to LaTeX output. Seems more logical to me, and less misleading.
  I really didn't like using sgml2ps with -d for DVI output, either.
  Greg Hankins, <greg.hankins@cc.gatech.edu>.

* fixes to sgml2ps to allow tex, ps and DVI output. Fixed TEXINPUTS variable
  to append to TEXINPUTS path. Georg Umgiesser, <georg@lagoon.isdgm.ve.cnr.it>.

* fixes to html-fix/html2html.l, declared yytext and yyleng, removed 14
  character chapter name limit, added more descriptive error message to
  @@ref problem. Steve Tynor, <tynor@atlanta.twr.com>.

* small fix to sgml-mode.el command to make it check syntax. Frank Pavageau,
  <frank@zen.via.ecp.fr>.

* removed '-l' from flex in html-fix/Makefile. Why it was there in the first
  place is unknown to me, but this seems to hose a lot of people. Also made it
  use CC and LEX variables. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* added 'col -bx' to sgml2txt. Greg Hankins, <greg.hankins@cc.gatech.edu>.
  'col' hoses ISO-8859-1 somehow. Added clever seding to fix. Frank Pavageau,
  <frank@via.ecp.fr>.

* fixed & problem in prehtml.sed, it turns out & characters do not need to
  be replaced. Greg Hankins, <greg.hankins@cc.gatech.edu>.

--- CHANGES FOR linuxdoc-sgml-1.4 (17 October 1995):

* updated html-fix/Makefile. Michael K. Johnson, <johnsonm@nigel.vnet.net>.

* support for latin1 character set in output. Greg Hankins,
  <greg.hankins@cc.gatech.edu>. latin1 replacement files updated by
  Frank Pavageau, <frank@zen.via.ecp.fr>. latin1.sed script by
  Farzad Farid.

* updated guide.sgml. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* more patches for GNU info support. It should be ready for production now.
  Christian Schwarz, <schwarz@monet.m.isar.de>.

* wrote an install script and rewrote the INSTALL file. Removed
  autoconf stuff because it's too big and doesn't do what I want
  it to do. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* massaged things around so that you can have a bin and lib directory
  separate from the source directory. Greg Hankins,
  <greg.hankins@cc.gatech.edu>.

* added Otilde in all mappings. Joao Carlos R. Pereira,
  <jcrp@caravela.di.fc.ul.pt>.

* whoops, backed out changes for ero and etago for LaTeX. Greg Hankins,
  <greg.hankins@cc.gatech.edu>.

* made HTML output HTML3 compliant (html-fix/html2html.l), at least
  according to the arena browser. Leander Jedamus, <jedamus@Worms.Fh-Rpl.DE>.

* fixed spacing problems in HTML output... used to have spaces in anchors,
  and other small HTML fixes. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* rewrote bin/format & friends into:
   - bin/sgml2txt
   - bin/sgml2html
   - bin/sgml2ps (uses -d for DVI output)
   - bin/sgml2info
  removed:
   - bin/format
   - bin/qtex
   - bin/qroff
   - bin/preroff
   - bin/prehtml
   - bin/mkinfo

  This makes formatting *muchmuch* easier. Also, the old format program
  conflicts with /usr/etc/format on SunOS, and probably others. Greg Hankins,
  <greg.hankins@cc.gatech.edu>. Much help from Christian Schwarz,
  <schwarz@monet.m.isar.de>.


--- CHANGES FOR linuxdoc-sgml-1.3 (15 August 1995):

* updated guide.sgml. Greg Hankins, <greg.hankins@cc.gatech.edu>.

* fixed dangling HTML reference problems. Leander Jedamus,
  <jedamus@Worms.Fh-Rpl.DE>.

* fixed ero and etago for LaTeX; and etago, quot and dquot for HTML
  replacement. Leander Jedamus, <jedamus@Worms.Fh-Rpl.DE>.

* fixed permissions on files: files in bin were not all 755, and there were
  setgid directories everywhere. Leander Jedamus, <jedamus@Worms.Fh-Rpl.DE>.

* support for autoconfiguration added.  Christian Schwarz,
  <schwarz@monet.m.isar.de>.

* updated README files and other small nitpicks. Greg Hankins,
  <greg.hankins@cc.gatech.edu>.

* more updates to guide.sgml, Christian Schwarz, <schwarz@monet.m.isar.de>.

* fixed qroff so PS files go to stdout, and not to filenames based on PID.
  Christian Schwarz, <schwarz@monet.m.isar.de>.

* patch for european characters by Kai Harrekilde-Petersen,
  <khp@pip.dknet.dk> added.

* added LINUXDOC environment variable to preroff and prehtml.
  Christian Schwarz, <schwarz@monet.m.isar.de>.

* updated README file by Christian Schwarz, <schwarz@monet.m.isar.de>
  (edited slightly - Greg).

* fixed some problems with 'format -Tman' in rep/man/mapping by Hubert Schreier
  <schreier@mvmampc66.ciw.uni-karlsruhe.de>:
     - if a <verb> or <code> element happens to fall on a pagebreak,
       page-headers and page-numbers are not displayed correctly.
     - <descrip> is always indented, even at the highest level
     - <enum> and <itemize> do not work at all
     - urlman and refnam are not defined

--- CHANGES FOR linuxdoc-sgml-1.2 (24 June, 1995):

* GNU info support by Christian Schwarz, <schwarz@monet.m.isar.de> added.

More fixes for 1.1 (Eric Raymond, <esr@snark,thyrsus.com>):

 	* Introduced special -T types ascii and htmlx to format to hide the
 	  details of the ASCII and HTML conversions.

 	* format, qroff, and qtex now export LINUXDOC,  and all other
 	  commands pick it up from the environment.  This reduces the
 	  amount of editing the user has to do during setup.

 	* format, qroff, and qtex now change PATH to include the linuxdoc
 	  bin directory.  This means that only those three files have to be
 	  copied or symlinked to a public executables directory.

 	* The nroff/ASCII rendering of url elements is changed to conform
 	  to HTML consortium recommendations.  It is now "[NAME] <[URL]>"
 	  rather than "[NAME] ([URL])".

 	* There is a new <htmlurl> element which suppresses rendering of
 	  the URL part in every context except HTML.  What this is useful for
 	  is things like cites of peoples' email addresses; you can write

 		<htmlurl url="mailto:esr@snark.thyrsus.com"
 			name="esr@snark.thyrsus.com">

 	  and get "esr@snark.thyrsus.com" in ASCII/nroff output rather than the
 	  duplicative "esr@snark.thyrsus.com <mailto:esr@snark.thyrsus.com>",
 	  but still have a proper URL in HTML.

More fixes, originally called linuxdoc-sgml-1.1.FIXES2
(Paul Gortmaker, <Paul.Gortmaker@anu.edu.au>):

	1)	LaTeX has to run 3 times to get the offset caused
		by the number of "toc" pages. Fixed in "qtex".

	2)	Documented manner for making cross-references is
		cumbersome, and worse, it is broken. Show much
		simpler way.

	3)	Make binaries stripped to cut down on wasted space.

	4)	Tilde character in LaTeX mapping breaks when in
		an URL (as in http://myhost.edu/~joe.blow/index.html)
		ala csh expansion. Can't use a normal ~ either as
		that is a hard space in TeX. Fixed by using "\~{}"

	5)	The "&tilde" in the html mapping is printed literally
		as "&tilde" instead of "~". Fixed in html general.

	6)	Some (all?) versions of "getopt" don't seem to like
		things like "-Tlatex". Changed the docs to reflect
		that "-T latex" is a better choice.

--- CHANGES FOR linuxdoc-sgml-1.1:

Changes in Linuxdoc-SGML in Version 1.1 (Matt Welsh, <mdw@cs.cornell.edu>):

	* Full HTML support is now there. See the information in
	  doc/guide.txt.

	* Added a <url> element for embedded Universal Resource Locators
	  in SGML documents. See doc/guide.txt for details.

	* Added a <quote> element for quotations (like <tscreen>, but
	  without typewriter font).

	* Added name="..." argument to <ref>. This will allow you to make
	  cross-references within LaTeX, HTML, and nroff documents
	  produced by the system. See doc/guide.txt for information on
	  using this.

	* Fixed a number of formatting bugs. Too numerous to mention.
	  All Linux HOWTOs format well with this new version, so it's
	  apparently stable.

	* Included more information on special characters, etc. in the
	  User's Guide. Please read this section in doc/guide.txt.

	* Modified nroff conversion so that right margins are sloppy.
	  This actually looks better (no odd spacing between words
	  when converting to ASCII). You can comment out one line near
	  the top of rep/nroff/mapping to turn this off.

--- CHANGES FOR linuxdoc-sgml-1.0:

* original version by Matt Welsh, <mdw@sunsite.unc.edu>.
